Package com.documentum.fc.client.search

# Interface IDfValueRangeAttrExpression

All Superinterfaces:
  `IDfAttrExpression`, `IDfExpression`

public interface IDfValueRangeAttrExpression extends IDfAttrExpression
Defines a search expression that requires the attribute value to be greater than a minimum value and less than a maximum value (or equal).

See Also:
  - `IDfQueryBuilder.getRootExpressionSet()`
  - `IDfExpressionSet.addValueRangeAttrExpression(String, int, int, boolean, boolean, String, String)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SEARCH_OP_BETWEEN`
  Search operation code: between a minimum and maximum value (included).

  ### Fields inherited from interface com.documentum.fc.client.search.IDfAttrExpression

  `SEARCH_OP_UNDEFINED`

  ### Fields inherited from interface com.documentum.fc.client.search.IDfExpression

  `DATE_FORMAT_DEFAULT, EXPR_TYPE_FULLTEXT, EXPR_TYPE_MLT, EXPR_TYPE_RELATIVE_DATE, EXPR_TYPE_SET, EXPR_TYPE_SIMPLE_ATTR, EXPR_TYPE_UNDEFINED, EXPR_TYPE_VALUE_LIST_ATTR, EXPR_TYPE_VALUE_RANGE_ATTR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFromValue()`
  Gets the minimum value of the range (included).
  `String`
  `getToValue()`
  Gets the maximum value of the range (included).

  ### Methods inherited from interface com.documentum.fc.client.search.IDfAttrExpression

  `getAttrName, getSearchOperation, getSearchOperationCode, getValueDataType, isCaseSensitive, isRepeated`

  ### Methods inherited from interface com.documentum.fc.client.search.IDfExpression

  `acceptVisitor, getDateFormat, getExpressionType, setDateFormat`

- ## Field Details

  - ### SEARCH_OP_BETWEEN

    static final int SEARCH_OP_BETWEEN
    Search operation code: between a minimum and maximum value (included).
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getFromValue

    String getFromValue()
    Gets the minimum value of the range (included).
    Returns:
      The minimum value of the range.

  - ### getToValue

    String getToValue()
    Gets the maximum value of the range (included).
    Returns:
      The maximum value of the range.